Bug 128161 - g++ issued: "Internal error: Segmentation fault."
g++ issued: "Internal error: Segmentation fault."
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gcc (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-19 10:43 EDT by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The code in which the comiler generated the internal error. (702 bytes, text/plain)
2004-07-19 10:48 EDT, Need Real Name
no flags Details
Generic driver that includes the header file. (58 bytes, text/plain)
2004-07-19 10:50 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2004-07-19 10:43:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
When compiling the attached code, the compiler issued the following:

In file included from tester.cpp:1:
fail.h:28: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Version-Release number of selected component (if applicable):
gcc version 2.96 20000731 (Red Hat Linux 7.2 2.96-124.7.2)

How reproducible:
Always

Steps to Reproduce:
1.g++ -O2 -o tester tester.cpp
2.
3.
    

Actual Results:  g++ issued the following:

In file included from tester.cpp:1:
fail.h:28: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  Some other error message issued or successful compile.

Additional info:
Comment 1 Need Real Name 2004-07-19 10:48:20 EDT
Created attachment 102038 [details]
The code in which the comiler generated the internal error.

The tar file contains a reduced version of the code that produced the internal
error. The compiler generated output contains line numbers that correspond to
the line numbers in the code files attached.
Comment 2 Need Real Name 2004-07-19 10:50:26 EDT
Created attachment 102039 [details]
Generic driver that includes the header file.

This is just a generic driver program so that the header file previously
attached can be compiled in.
Comment 3 RHEL Product and Program Management 2007-10-19 15:22:12 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.